# Parser for CNVer output CNV calls.

import os
import pickle

import cnv_struct
import parsers

class Parser(parsers.ParentParser):
    """ Loads CNVs from pickled versions. 
    
    Note that the format of the cnvs will not be enforced.

    """

    def __init__(self, fn, family_id):
        self.family_id = family_id
        self.fn = fn
        with open(self.fn) as f:
            self.cnvs = pickle.load(f)


    def get_cnvs(self):
        return self.cnvs
